org.jboss.shrinkwrap.descriptor.api.connector15

## Interface ConnectorDescriptor

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<ConnectorDescriptor>

      public interface ConnectorDescriptor
      extends org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<ConnectorDescriptor>

  This deployment descriptor provides the functionalities as described in the specification

  Example:

  `ConnectorDescriptor descriptor = Descriptors.create(ConnectorDescriptor.class);`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IconType<ConnectorDescriptor>` | `createIcon()` Creates a new `icon` element
    `ConnectorDescriptor` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `ConnectorDescriptor` | `displayName(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
    `ConnectorDescriptor` | `eisType(java.lang.String eisType)` Sets the `eis-type` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<java.lang.String>` | `getAllDisplayName()` Returns all `display-name` elements
    `java.util.List<IconType<ConnectorDescriptor>>` | `getAllIcon()` Returns all `icon` elements
    `java.lang.String` | `getEisType()` Returns the `eis-type` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `IconType<ConnectorDescriptor>` | `getOrCreateIcon()` If not already created, a new `icon` element will be created and returned.
    `LicenseType<ConnectorDescriptor>` | `getOrCreateLicense()` If not already created, a new `license` element with the given value will be created.
    `ResourceadapterType<ConnectorDescriptor>` | `getOrCreateResourceadapter()` If not already created, a new `resourceadapter` element with the given value will be created.
    `java.lang.String` | `getResourceadapterVersion()` Returns the `resourceadapter-version` element
    `java.lang.String` | `getVendorName()` Returns the `vendor-name` element
    `java.lang.String` | `getVersion()` Returns the `version` attribute
    `ConnectorDescriptor` | `id(java.lang.String id)` Sets the `id` attribute
    `ConnectorDescriptor` | `removeAllDescription()` Removes the `description` element
    `ConnectorDescriptor` | `removeAllDisplayName()` Removes the `display-name` element
    `ConnectorDescriptor` | `removeAllIcon()` Removes all `icon` elements
    `ConnectorDescriptor` | `removeEisType()` Removes the `eis-type` element
    `ConnectorDescriptor` | `removeId()` Removes the `id` attribute
    `ConnectorDescriptor` | `removeLicense()` Removes the `license` element
    `ConnectorDescriptor` | `removeResourceadapter()` Removes the `resourceadapter` element
    `ConnectorDescriptor` | `removeResourceadapterVersion()` Removes the `resourceadapter-version` element
    `ConnectorDescriptor` | `removeVendorName()` Removes the `vendor-name` element
    `ConnectorDescriptor` | `removeVersion()` Removes the `version` attribute
    `ConnectorDescriptor` | `resourceadapterVersion(java.lang.String resourceadapterVersion)` Sets the `resourceadapter-version` element
    `ConnectorDescriptor` | `vendorName(java.lang.String vendorName)` Sets the `vendor-name` element
    `ConnectorDescriptor` | `version(java.lang.String version)` Sets the `version` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor

      `exportAsString, exportTo, getDescriptorName`

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace

      `addDefaultNamespaces, addNamespace, getNamespaces, removeAllNamespaces`

- - ### Field Detail

    - #### VERSION

          static final java.lang.String VERSION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### description

          ConnectorDescriptor description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ConnectorDescriptor removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### displayName

          ConnectorDescriptor displayName(java.lang.String... values)

      Creates for all String objects representing `display-name` elements, a new `display-name` element
      Parameters:
        `values` - list of `display-name` objects
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getAllDisplayName

          java.util.List<java.lang.String> getAllDisplayName()

      Returns all `display-name` elements
      Returns:
        list of `display-name`

    - #### removeAllDisplayName

          ConnectorDescriptor removeAllDisplayName()

      Removes the `display-name` element
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getOrCreateIcon

          IconType<ConnectorDescriptor> getOrCreateIcon()

      If not already created, a new `icon` element will be created and returned. Otherwise, the first existing `icon` element will be returned.
      Returns:
        the instance defined for the element `icon`

    - #### createIcon

          IconType<ConnectorDescriptor> createIcon()

      Creates a new `icon` element
      Returns:
        the new created instance of `IconType`

    - #### getAllIcon

          java.util.List<IconType<ConnectorDescriptor>> getAllIcon()

      Returns all `icon` elements
      Returns:
        list of `icon`

    - #### removeAllIcon

          ConnectorDescriptor removeAllIcon()

      Removes all `icon` elements
      Returns:
        the current instance of `IconType`

    - #### vendorName

          ConnectorDescriptor vendorName(java.lang.String vendorName)

      Sets the `vendor-name` element
      Parameters:
        `vendorName` - the value for the element `vendor-name`
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getVendorName

          java.lang.String getVendorName()

      Returns the `vendor-name` element
      Returns:
        the node defined for the element `vendor-name`

    - #### removeVendorName

          ConnectorDescriptor removeVendorName()

      Removes the `vendor-name` element
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### eisType

          ConnectorDescriptor eisType(java.lang.String eisType)

      Sets the `eis-type` element
      Parameters:
        `eisType` - the value for the element `eis-type`
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getEisType

          java.lang.String getEisType()

      Returns the `eis-type` element
      Returns:
        the node defined for the element `eis-type`

    - #### removeEisType

          ConnectorDescriptor removeEisType()

      Removes the `eis-type` element
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### resourceadapterVersion

          ConnectorDescriptor resourceadapterVersion(java.lang.String resourceadapterVersion)

      Sets the `resourceadapter-version` element
      Parameters:
        `resourceadapterVersion` - the value for the element `resourceadapter-version`
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getResourceadapterVersion

          java.lang.String getResourceadapterVersion()

      Returns the `resourceadapter-version` element
      Returns:
        the node defined for the element `resourceadapter-version`

    - #### removeResourceadapterVersion

          ConnectorDescriptor removeResourceadapterVersion()

      Removes the `resourceadapter-version` element
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getOrCreateLicense

          LicenseType<ConnectorDescriptor> getOrCreateLicense()

      If not already created, a new `license` element with the given value will be created. Otherwise, the existing `license` element will be returned.
      Returns:
        a new or existing instance of `LicenseType`

    - #### removeLicense

          ConnectorDescriptor removeLicense()

      Removes the `license` element
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getOrCreateResourceadapter

          ResourceadapterType<ConnectorDescriptor> getOrCreateResourceadapter()

      If not already created, a new `resourceadapter` element with the given value will be created. Otherwise, the existing `resourceadapter` element will be returned.
      Returns:
        a new or existing instance of `ResourceadapterType`

    - #### removeResourceadapter

          ConnectorDescriptor removeResourceadapter()

      Removes the `resourceadapter` element
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### version

          ConnectorDescriptor version(java.lang.String version)

      Sets the `version` attribute
      Parameters:
        `version` - the value for the attribute `version`
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getVersion

          java.lang.String getVersion()

      Returns the `version` attribute
      Returns:
        the value defined for the attribute `version`

    - #### removeVersion

          ConnectorDescriptor removeVersion()

      Removes the `version` attribute
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### id

          ConnectorDescriptor id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ConnectorDescriptor`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ConnectorDescriptor removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ConnectorDescriptor`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)